package cn.com.ctop.toutiao.modules.adlab.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import com.alibaba.fastjson.JSONObject;

public interface IGetProjectService {

    //获取项目信息
    JSONObject getGroup(CtopOauthToken oauthToken, Long accountId, Long groupId);

    //获取项目素材信息
    JSONObject getMaterialInfo(CtopOauthToken oauthToken, JSONObject requestBody);

    //获取项目列表
    JSONObject getGroups(CtopOauthToken oauthToken, JSONObject requestBody);

    //批量查询计划信息
    JSONObject getAds(CtopOauthToken oauthToken, JSONObject requestBody);
}
